Skip to main content

Create a new beneficiary

POST 

/api/v1/beneficiary

Create a new beneficiary for the authenticated user. A bank account must be provided in the bankAccount field.

Validation rules for bankAccount by bank country:

USA:

  • accountNumber and ibanNumber are required.
  • At least one of swiftBic or achRoutingNumber must be provided.

Europe / Asia (all non-LATAM, non-USA countries):

  • accountNumber, ibanNumber and swiftBic are required.
  • achRoutingNumber is not applicable and will be ignored.

LATAM (Brazil, Argentina, Paraguay):

  • accountNumber is required.
  • ibanNumber, swiftBic and achRoutingNumber are not applicable and will be ignored.
  • bankCode is required for Brazil when bankName is provided.
  • taxId is required for Paraguay when bankName is provided.

Request

Responses

Beneficiary created successfully